footer {
  &:has([data-component-id="incmty:footer"].midnight) {
    background-color: var(--bg-color);
  }

  &:has([data-component-id="incmty:footer"].hk-dark) {
    background-color: var(--bg-color);
  }
}

footer {
  padding: 48px 16px;

  & .region-footer {
    max-width: 1728px;
    margin-inline: auto;
  }
}

[data-component-id="incmty:footer"] {
  background-color: var(--bg-color);
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 16px 24px;

  & .column-2,
  & .column-3,
  & .column-4 {
    & .title {
      color: var(--text-color);
      font-size: 12px;
      font-style: normal;
      font-weight: 400;
      line-height: 18px;
      text-transform: uppercase;
    }

    .title + * {
      margin-top: 16px;
    }

    * + .text {
      margin-top: 16px;
    }

    * + .logos {
      margin-top: 16px;
    }

    & .menu {
      padding: 0;
      margin: 0;
      display: flex;
      flex-direction: column;
      gap: 24px;

      & .menu-item {
        padding: 0;
        list-style: none;
        font-size: 12px;
        font-style: normal;
        font-weight: 700;
        line-height: 14px;
        text-transform: uppercase;

        & a {
          color: var(--text-color);
          text-decoration: none;

          &:hover {
            text-decoration: underline;
          }
        }
      }
    }

    & .text {
      & p {
        color: var(--text-color);
        font-size: 12px;
        font-style: normal;
        font-weight: 400;
        line-height: 18px;

        * {
          font-size: 12px;
        }
      }

      & p + p {
        margin-top: 16px;
      }
    }

    &.hide-mobile {
      display: none;
    }
  }

  & .column-1 {
    grid-column: 1 / -1;
  }

  & .main-logo {
    max-width: 142.302px;

    & a {
      display: block;
    }

    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }

  & .column-4 {
    grid-column: 1 / -1;
    text-align: center;

    & .text {
      & p {
        font-size: 12px;
        font-style: normal;
        font-weight: 400;
        line-height: 18px;
      }
    }

    & .logos {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      align-items: center;
      gap: 16px;

      & .logo {
        & a {
          &:focus {
            box-shadow: none;
            outline: none;
          }
        }

        + .logo {
          padding-left: 16px;
          border-left: 0.5px solid var(--text-color);
        }
      }
    }
  }
}

@media (max-width: 1023px) {
  .state--col2-full .column-2 {
    grid-column: 1 / -1;
  }

  .state--col3-full .column-3 {
    grid-column: 1 / -1;
  }

  [data-component-id="incmty:footer"] {
    & .column-2,
    & .column-3 {
      & .title {
        text-align: left;
      }

      & .text {
        text-align: center;
      }
    }

    & .column-2,
    & .column-3 {
      .title + * {
        margin-top: 24px;
      }

      * + .text {
        margin-top: 24px;
      }

      * + .logos {
        margin-top: 24px;
      }
    }
  }
}

@media (min-width: 1024px) {
  footer {
    padding: 48px 96px;
  }

  [data-component-id="incmty:footer"] {
    grid-template-columns: repeat(4, 1fr);

    & .column-1 {
      grid-column: auto;
    }

    & .column-2,
    & .column-3 {
      & .menu {
        gap: 16px;
      }

      &.hide-mobile {
        display: block;
      }
    }

    & .column-4 {
      grid-column: auto;
      text-align: inherit;

      & .logos {
        justify-content: end;
      }
    }
  }
}
